libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
xmlpp::AttributeNode Class Reference

Represents an explicit attribute of an XML Element node. More...

`#include <libxml++/attributenode.h>`

Inheritance diagram for xmlpp::AttributeNode:
[legend]
Collaboration diagram for xmlpp::AttributeNode:
[legend]

List of all members.

## Public Member Functions

| AttributeNode (_xmlNode* node)
virtual | ~AttributeNode ()

## Detailed Description

Represents an explicit attribute of an XML Element node.

This will be instantiated by the parser.

Since libxml++ 2.36:

## Constructor & Destructor Documentation

xmlpp::AttributeNode::AttributeNode | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::AttributeNode::~AttributeNode | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- attributenode.h